Bug 25627 - Move OPAC problem reports from administration to tools
Summary: Move OPAC problem reports from administration to tools
Status: Pushed to stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on: 4461
Blocks: 25689
  Show dependency treegraph
 
Reported: 2020-05-31 12:22 UTC by Katrin Fischer
Modified: 2020-06-22 04:37 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.11.00, 20.05.x


Attachments
Bug 25627: Move OPAC problem reports from administration to tools (8.54 KB, patch)
2020-06-04 12:20 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 25627: Move OPAC problem reports from administration to tools (8.59 KB, patch)
2020-06-11 10:48 UTC, David Nind
Details | Diff | Splinter Review
Bug 25627: Move OPAC problem reports from administration to tools (8.65 KB, patch)
2020-06-11 11:43 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 25627: Fix class and id in body tag (1.02 KB, patch)
2020-06-11 11:43 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2020-05-31 12:22:42 UTC
When I was testing the new 'OPAC problem reports' feature I was expecting it under tools instead of in administration. I wonder if it would make sense to move it - I think it would go well with other OPAC related features like the tag and comment moderation tools we have.
Comment 1 Owen Leonard 2020-06-04 12:20:37 UTC
Created attachment 105549 [details] [review]
Bug 25627: Move OPAC problem reports from administration to tools

This patch moves the OPAC problem report management page from the
Administration section to the Tools section.

I think this makes sense because management of reports is an ongoing
task, not a configuration.

To test, apply the patch and enable the OPACReportProblem system
preference.

 - Go to Administration. There should be no link to OPAC problem
   reports.
   - Open an administration page which shows the Administration menu in
     the left-hand sidebar, e.g. Libraries. There should be no link to
     OPAC problem reports in the menu.
 - Go to Tools. There should be a link to OPAC problem reports in the
   "Addional tools" section.
   - Open the OPAC problem reports page and confirm that it works
     correctly.
   - The breadcrumbs menu should show "Tools > OPAC problem reports."
   - Confirm that the link in the sidebar menu works correctly.
 - If necessary, submit an OPAC problem report via the OPAC so that
   there is a pending report. Go to the staff interface home page and
   check that the "OPAC problem reports pending" link works correctly.
Comment 2 Katrin Fischer 2020-06-07 13:24:02 UTC
Hi Owen, 

thanks for taking this on!

I was wondering if we should group it with patrons and circulation instead, as only logged in patrons can provide problem reports.

What do you think?
Comment 3 Owen Leonard 2020-06-08 19:06:33 UTC
(In reply to Katrin Fischer from comment #2)

> I was wondering if we should group it with patrons and circulation instead,
> as only logged in patrons can provide problem reports.

My reasoning is that the problem reports are not really about patrons, they're about the OPAC itself.

But I'm happy to modify the patch if others disagree!
Comment 4 David Nind 2020-06-11 10:48:42 UTC
Created attachment 105725 [details] [review]
Bug 25627: Move OPAC problem reports from administration to tools

This patch moves the OPAC problem report management page from the
Administration section to the Tools section.

I think this makes sense because management of reports is an ongoing
task, not a configuration.

To test, apply the patch and enable the OPACReportProblem system
preference.

 - Go to Administration. There should be no link to OPAC problem
   reports.
   - Open an administration page which shows the Administration menu in
     the left-hand sidebar, e.g. Libraries. There should be no link to
     OPAC problem reports in the menu.
 - Go to Tools. There should be a link to OPAC problem reports in the
   "Addional tools" section.
   - Open the OPAC problem reports page and confirm that it works
     correctly.
   - The breadcrumbs menu should show "Tools > OPAC problem reports."
   - Confirm that the link in the sidebar menu works correctly.
 - If necessary, submit an OPAC problem report via the OPAC so that
   there is a pending report. Go to the staff interface home page and
   check that the "OPAC problem reports pending" link works correctly.

Signed-off-by: David Nind <david@davidnind.com>
Comment 5 Katrin Fischer 2020-06-11 11:43:36 UTC
Created attachment 105734 [details] [review]
Bug 25627: Move OPAC problem reports from administration to tools

This patch moves the OPAC problem report management page from the
Administration section to the Tools section.

I think this makes sense because management of reports is an ongoing
task, not a configuration.

To test, apply the patch and enable the OPACReportProblem system
preference.

 - Go to Administration. There should be no link to OPAC problem
   reports.
   - Open an administration page which shows the Administration menu in
     the left-hand sidebar, e.g. Libraries. There should be no link to
     OPAC problem reports in the menu.
 - Go to Tools. There should be a link to OPAC problem reports in the
   "Addional tools" section.
   - Open the OPAC problem reports page and confirm that it works
     correctly.
   - The breadcrumbs menu should show "Tools > OPAC problem reports."
   - Confirm that the link in the sidebar menu works correctly.
 - If necessary, submit an OPAC problem report via the OPAC so that
   there is a pending report. Go to the staff interface home page and
   check that the "OPAC problem reports pending" link works correctly.

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 6 Katrin Fischer 2020-06-11 11:43:40 UTC
Created attachment 105735 [details] [review]
Bug 25627: Fix class and id in body tag

This will also help if you want to use different colors
for different modules.

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 7 Katrin Fischer 2020-06-11 11:43:50 UTC
Persuaded :)
Comment 8 Jonathan Druart 2020-06-15 10:00:48 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 9 Lucas Gass 2020-06-17 23:28:16 UTC
backported to 20.05.x for 20.05.01
Comment 10 Aleisha Amohia 2020-06-22 04:37:42 UTC
missing dependencies, not backporting to 19.11.x